Public Class Form1

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load

    End Sub

    Private Sub Timer1_Tick(sender As Object, e As EventArgs) Handles Timer1.Tick
        ' Длительность песни  
        Try
            TextBox1.Text = AxWindowsMediaPlayer1.Ctlcontrols().currentItem.durationString
        Catch ex As Exception
        End Try

        'Отчёт Времени
        TextBox2.Text = AxWindowsMediaPlayer1.Ctlcontrols.currentPositionString

        'Название песни
        Try
            TextBox3.Text = AxWindowsMediaPlayer1.currentMedia.name
        Catch ex As Exception
        End Try


        'Воспроизведение, название и скорость воспроизведения
        TextBox4.Text = AxWindowsMediaPlayer1.status

        'Имя артиста
        Try
            TextBox5.Text = AxWindowsMediaPlayer1.currentMedia.getItemInfo("Artist")
        Catch ex As Exception
        End Try

        'Название альбома
        Try
            TextBox6.Text = AxWindowsMediaPlayer1.currentMedia.getItemInfo("Album")
        Catch ex As Exception
        End Try

        'Жанр исполняемой песни
        Try
            TextBox7.Text = AxWindowsMediaPlayer1.currentMedia.getItemInfo("Genre")
        Catch ex As Exception
        End Try

        'Скорость воспроизведения
        Try
            TextBox8.Text = AxWindowsMediaPlayer1.currentMedia.getItemInfo("Bitrate") / 1000 & " кбит/с"
        Catch ex As Exception
        End Try

        ' Битовый Показатель скорости
        Try
            TextBox9.Text = AxWindowsMediaPlayer1.currentMedia.getItemInfo("bitRate") & " бит/с"
        Catch ex As Exception
        End Try

        ' Год выпуска альбома
        Try
            TextBox10.Text = AxWindowsMediaPlayer1.currentMedia.getItemInfo("WM/Year")
        Catch ex As Exception
        End Try

        ' Размер файла мр3  
        Try
            TextBox12.Text = AxWindowsMediaPlayer1.currentMedia.getItemInfo("FileSize") / 1000000 & " Мб"
        Catch ex As Exception
        End Try

        'Тип файла
        Try
            TextBox13.Text = AxWindowsMediaPlayer1.currentMedia.getItemInfo("FileType")
        Catch ex As Exception
        End Try
    End Sub

    Private Sub AxWindowsMediaPlayer1_Enter(sender As Object, e As EventArgs) Handles AxWindowsMediaPlayer1.Enter

    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        ' Открыть Файл
        OpenFileDialog1.Filter = "Mp3 файлы (*.mp3)|*.mp3|Все файлы (*.*)|*.*"
        If OpenFileDialog1.ShowDialog = DialogResult.Cancel Then Exit Sub
        AxWindowsMediaPlayer1.URL = OpenFileDialog1.FileName
        TextBox11.Text = (OpenFileDialog1.FileName)
        Timer1.Start()
    End Sub

    Private Sub OpenFileDialog1_FileOk(sender As Object, e As System.ComponentModel.CancelEventArgs) Handles OpenFileDialog1.FileOk

    End Sub

    Private Sub TextBox11_TextChanged(sender As Object, e As EventArgs) Handles TextBox11.TextChanged

    End Sub
End Class
